<?php 

require_once 'vendor/autoload.php';

//$endpoint_oai = 'http://elar.urfu.ru/oai/request';
$endpoint_oai = 'http://press.psu.ru/index.php/philology/oai';

$client = new \Phpoaipmh\Client($endpoint_oai);
$endpoint = new \Phpoaipmh\Endpoint($client);

$result = $endpoint->identify();

var_dump($result);
// Results will be iterator of SimpleXMLElement objects
$results = $endpoint->listMetadataFormats();
foreach($results as $item) {
    var_dump($item); // oai_dc
}

$recs = $endpoint->listRecords('oai_dc');

foreach ($recs as $rec) {
  $identifier = $rec->header[0]->identifier[0] . '';
  
  print "identifier $identifier \n";
  if ($rec->header[0]['status'] != 'deleted') {
    $fullrec = $endpoint->getRecord($identifier, 'oai_dc');
    $record_url = $endpoint_oai . '?verb=GetRecord&metadataPrefix=oai_dc&identifier=' . $identifier;
     print "url: $record_url \n";
    $file = file_get_contents($record_url);
    $dom = new DomDocument();
    $dom->loadXML($file);
    $x = $dom->documentElement;
    foreach ($x->childNodes as $node) {
      print $node->nodeName . "\n";
    }
    $titles = $dom->getElementsByTagName('title');
    foreach ($titles as $title) {
      print $title->nodeValue . "\n";
    }
    $creators = $dom->getElementsByTagName('creator');
    foreach ($creators as $creator) {
      print $creator->nodeValue . "\n";
    }
    $descriptions = $dom->getElementsByTagName('description');
    foreach ($descriptions as $description) {
      print $description->nodeValue . "\n";
    }
  }
}
